Bug Hunting Session
Bug 32636 - MSO2007 formulas not imported in docx
Summary: MSO2007 formulas not imported in docx
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
3.3.0 RC2
Hardware: x86-64 (AMD64) Windows (All)
: low normal
Assignee: Luboš Luňák
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-24 02:44 UTC by Daniil Bratashov
Modified: 2011-12-20 01:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
example of faulty document with two formulas (10.28 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2010-12-24 02:44 UTC, Daniil Bratashov
Details
same formulas as images shown correctly (30.00 KB, application/msword)
2010-12-24 02:44 UTC, Daniil Bratashov
Details
Windows 2007 docx where formulas will not import (26.56 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2011-02-04 10:54 UTC, mathog
Details
How W2007 formats the formula (26.90 KB, image/png)
2011-02-04 10:55 UTC, mathog
Details
How OpenOffice 3.2 formatted the formula (8.55 KB, image/png)
2011-02-04 10:55 UTC, mathog
Details
How LibreOffice 3.3 formatted the formula (completely absent) (20.55 KB, image/png)
2011-02-04 10:56 UTC, mathog
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniil Bratashov 2010-12-24 02:44:11 UTC
Created attachment 41418 [details]
example of faulty document with two formulas 

Formula import from MSO2007 docx not working, empty page instead.
Comment 1 Daniil Bratashov 2010-12-24 02:44:57 UTC
Created attachment 41419 [details]
same formulas as images shown correctly
Comment 2 Jan Holesovsky 2010-12-28 05:16:39 UTC
Cedric: Can you please reassign accordingly?  Thank you!
Comment 3 mathog 2011-02-04 10:53:22 UTC
I am seeing the same thing.  The formulas in my case did open in OpenOffice 3.2, but they did not look very good even there.  The next 4 attachments will be the 
example file bad.docx, the proper formula formatting (cut from a PDF output file),
what it looked like in OO32 and what it looks like in LO33.
Comment 4 mathog 2011-02-04 10:54:22 UTC
Created attachment 42933 [details]
Windows 2007 docx where formulas will not import

Windows 2007 docx where formulas will not import
Comment 5 mathog 2011-02-04 10:55:11 UTC
Created attachment 42934 [details]
How W2007 formats the formula
Comment 6 mathog 2011-02-04 10:55:50 UTC
Created attachment 42935 [details]
How OpenOffice 3.2 formatted the formula
Comment 7 mathog 2011-02-04 10:56:31 UTC
Created attachment 42936 [details]
How LibreOffice 3.3 formatted the formula (completely absent)
Comment 8 Cédric Bosdonnat 2011-02-15 04:49:34 UTC
rather an enhancement as this feature is simply not implemented in the docx import.
Comment 9 Daniel Hendrycks 2011-07-14 15:17:48 UTC
This is still happening in LibreOffice 3.4.1. Windows 7 x64
Comment 10 Cédric Bosdonnat 2011-12-19 08:51:22 UTC
Lubos, could you have a look at this one? you may have already fixed it.
Comment 11 Luboš Luňák 2011-12-20 01:55:39 UTC
Fixed for 3.5.
Comment 12 Luboš Luňák 2011-12-20 01:56:06 UTC
Implemented for 3.5.